package com.agilex.healthcare.schedulingmanager.domain;

import com.agilex.healthcare.mobilehealthplatform.domain.DomainTransferObject;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "appointmentRequestInProcess", namespace = Namespace.SchedulingManager)
public class SMAppointmentRequestInProcess extends DomainTransferObject{
	
	private static final long serialVersionUID = 2876712714518957897L;
	@XmlElement
	private String appointmentRequestId;
	@XmlElement
	private String userId;
	@XmlElement
	private String firstName;
	@XmlElement
	private String lastName;

	public String getAppointmentRequestId() {
		return appointmentRequestId;
	}
	public void setAppointmentRequestId(String appointmentRequestId) {
		this.appointmentRequestId = appointmentRequestId;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getFirstName() {
		return firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	public String getLastName() {
		return lastName;
	}
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
}
